# pspdisplay.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | PspDisplayPixelFormats { PSP_DISPLAY_PIXEL_FORMAT_565 = 0, PSP_DISPLAY_PIXEL_FORMAT_5551, PSP_DISPLAY_PIXEL_FORMAT_4444, PSP_DISPLAY_PIXEL_FORMAT_8888 }
| Framebuffer pixel formats. More...
enum | PspDisplaySetBufSync { PSP_DISPLAY_SETBUF_IMMEDIATE = 0, PSP_DISPLAY_SETBUF_NEXTFRAME = 1 }

## Functions

int | sceDisplaySetMode (int mode, int width, int height)
| Set display mode.
int | sceDisplayGetMode (int *pmode, int *pwidth, int *pheight)
| Get display mode.
void | sceDisplaySetFrameBuf (void *topaddr, int bufferwidth, int pixelformat, int sync)
| Display set framebuf.
int | sceDisplayGetFrameBuf (void **topaddr, int *bufferwidth, int *pixelformat, int *unk1)
| Get Display Framebuffer information.
unsigned int | sceDisplayGetVcount (void)
| Number of vertical blank pulses up to now.
int | sceDisplayWaitVblankStart (void)
| Wait for vertical blank.

## Enumeration Type Documentation

enum PspDisplayPixelFormats

Framebuffer pixel formats.

Enumerator:

  PSP_DISPLAY_PIXEL_FORMAT_565 | 16-bit RGB 5:6:5.
  PSP_DISPLAY_PIXEL_FORMAT_5551 | 16-bit RGBA 5:5:5:1.
  PSP_DISPLAY_PIXEL_FORMAT_4444 |
  PSP_DISPLAY_PIXEL_FORMAT_8888 |

enum PspDisplaySetBufSync

Enumerator:

  PSP_DISPLAY_SETBUF_IMMEDIATE | Buffer change effective immediately.
  PSP_DISPLAY_SETBUF_NEXTFRAME | Buffer change effective next frame.

## Function Documentation

int sceDisplayGetFrameBuf | ( | void ** | topaddr,
|  | int * | bufferwidth,
|  | int * | pixelformat,
|  | int * | unk1
| ) |

Get Display Framebuffer information.

Parameters:

  | topaddr | - pointer to void* to receive address of start of framebuffer
  | bufferwidth | - pointer to int to receive buffer width (must be power of 2)
  | pixelformat | - pointer to int to receive one of PspDisplayPixelFormats.
  | unk1 | - pointer to int, receives unknown, always 1? (vblank sync?)

int sceDisplayGetMode | ( | int * | pmode,
|  | int * | pwidth,
|  | int * | pheight
| ) |

Get display mode.

Parameters:

  | pmode | - Pointer to an integer to receive the current mode.
  | pwidth | - Pointer to an integer to receive the current width.
  | pheight | - Pointer to an integer to receive the current height,

Returns:
  0 on success

unsigned int sceDisplayGetVcount | ( | void |  | ) |

| Number of vertical blank pulses up to now.

void sceDisplaySetFrameBuf | ( | void * | topaddr,
|  | int | bufferwidth,
|  | int | pixelformat,
|  | int | sync
| ) |

Display set framebuf.

Parameters:

  | topaddr | - address of start of framebuffer
  | bufferwidth | - buffer width (must be power of 2)
  | pixelformat | - One of PspDisplayPixelFormats.
  | sync | - One of PspDisplaySetBufSync

int sceDisplaySetMode | ( | int | mode,
|  | int | width,
|  | int | height
| ) |

Set display mode.

Example1:

Parameters:

  | mode | - Display mode, normally 0.
  | width | - Width of screen in pixels.
  | height | - Height of screen in pixels.

Returns:
  ???

int sceDisplayWaitVblankStart | ( | void |  | ) |

| Wait for vertical blank.